package com.zztrapp.zztrapp.bean;

import com.github.gzuliyujiang.wheelview.contract.TextProvider;

import java.io.Serializable;

/**
 * Describe ChoosePopItemBean
 * Created by Bby on 2022/6/26
 * Email bby0856@163.com
 */

public class ChoosePopItemBean implements Serializable, TextProvider {

    private String id;
    private String parentCode;
    private String code;
    private String name;
    private String type;

//     "id": 3413,
//             "parentCode": "410100000000",
//             "code": "410102000000",
//             "name": "中原区                             ",
//             "type": 3,
//    public ChoosePopItemBean(String value, String text) {
//        this.value = value;
//        this.text = text;
//    }

    public ChoosePopItemBean() {

    }

    public ChoosePopItemBean(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "ChoosePopItemBean{" +
                "id='" + id + '\'' +
                ", parentCode='" + parentCode + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                '}';
    }

    @Override
    public String provideText() {
        return name;
    }
}
